Package it.ernytech.tdlib

## Class TdApi.SupergroupFullInfo

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.SupergroupFullInfo

Enclosing class:
  TdApi

    public static class TdApi.SupergroupFullInfo
    extends TdApi.Object

Contains full information about a supergroup or channel.

### Field Summary

Fields
`int` `administratorCount` Number of privileged users in the supergroup or channel; 0 if unknown.
`int` `bannedCount` Number of users banned from chat; 0 if unknown.
`boolean` `canGetMembers` True, if members of the chat can be retrieved.
`boolean` `canSetStickerSet` True, if the supergroup sticker set can be changed.
`boolean` `canSetUsername` True, if the chat can be made public.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `description` Supergroup or channel description.
`java.lang.String` `inviteLink` Invite link for this chat.
`boolean` `isAllHistoryAvailable` True, if new chat members will have access to old messages.
`int` `memberCount` Number of members in the supergroup or channel; 0 if unknown.
`long` `pinnedMessageId` Identifier of the pinned message in the chat; 0 if none.
`int` `restrictedCount` Number of restricted users in the supergroup; 0 if unknown.
`long` `stickerSetId` Identifier of the supergroup sticker set; 0 if none.
`int` `upgradedFromBasicGroupId` Identifier of the basic group from which supergroup was upgraded; 0 if none.
`long` `upgradedFromMaxMessageId` Identifier of the last message in the basic group from which supergroup was upgraded; 0 if none.

### Constructor Summary

Constructors
`SupergroupFullInfo()` Default constructor.

`SupergroupFullInfo​(java.lang.String description, int memberCount, int administratorCount, int restrictedCount, int bannedCount, boolean canGetMembers, boolean canSetUsername, boolean canSetStickerSet, boolean isAllHistoryAvailable, long stickerSetId, java.lang.String inviteLink, long pinnedMessageId, int upgradedFromBasicGroupId, long upgradedFromMaxMessageId)`

Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### description

    public java.lang.String description

Supergroup or channel description.

#### memberCount

    public int memberCount

Number of members in the supergroup or channel; 0 if unknown.

#### administratorCount

    public int administratorCount

Number of privileged users in the supergroup or channel; 0 if unknown.

#### restrictedCount

    public int restrictedCount

Number of restricted users in the supergroup; 0 if unknown.

#### bannedCount

    public int bannedCount

Number of users banned from chat; 0 if unknown.

#### canGetMembers

    public boolean canGetMembers

True, if members of the chat can be retrieved.

#### canSetUsername

    public boolean canSetUsername

True, if the chat can be made public.

#### canSetStickerSet

    public boolean canSetStickerSet

True, if the supergroup sticker set can be changed.

#### isAllHistoryAvailable

    public boolean isAllHistoryAvailable

True, if new chat members will have access to old messages. In public supergroups and both public and private channels, old messages are always available, so this option affects only private supergroups. The value of this field is only available for chat administrators.

#### stickerSetId

    public long stickerSetId

Identifier of the supergroup sticker set; 0 if none.

#### inviteLink

    public java.lang.String inviteLink

Invite link for this chat.

#### pinnedMessageId

    public long pinnedMessageId

Identifier of the pinned message in the chat; 0 if none.

#### upgradedFromBasicGroupId

    public int upgradedFromBasicGroupId

Identifier of the basic group from which supergroup was upgraded; 0 if none.

#### upgradedFromMaxMessageId

    public long upgradedFromMaxMessageId

Identifier of the last message in the basic group from which supergroup was upgraded; 0 if none.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SupergroupFullInfo

    public SupergroupFullInfo()

Default constructor.

#### SupergroupFullInfo

    public SupergroupFullInfo​(java.lang.String description,
                              int memberCount,
                              int administratorCount,
                              int restrictedCount,
                              int bannedCount,
                              boolean canGetMembers,
                              boolean canSetUsername,
                              boolean canSetStickerSet,
                              boolean isAllHistoryAvailable,
                              long stickerSetId,
                              java.lang.String inviteLink,
                              long pinnedMessageId,
                              int upgradedFromBasicGroupId,
                              long upgradedFromMaxMessageId)

Constructor for initialization of all fields.

Parameters:
  `description` - Supergroup or channel description.
  `memberCount` - Number of members in the supergroup or channel; 0 if unknown.
  `administratorCount` - Number of privileged users in the supergroup or channel; 0 if unknown.
  `restrictedCount` - Number of restricted users in the supergroup; 0 if unknown.
  `bannedCount` - Number of users banned from chat; 0 if unknown.
  `canGetMembers` - True, if members of the chat can be retrieved.
  `canSetUsername` - True, if the chat can be made public.
  `canSetStickerSet` - True, if the supergroup sticker set can be changed.
  `isAllHistoryAvailable` - True, if new chat members will have access to old messages. In public supergroups and both public and private channels, old messages are always available, so this option affects only private supergroups. The value of this field is only available for chat administrators.
  `stickerSetId` - Identifier of the supergroup sticker set; 0 if none.
  `inviteLink` - Invite link for this chat.
  `pinnedMessageId` - Identifier of the pinned message in the chat; 0 if none.
  `upgradedFromBasicGroupId` - Identifier of the basic group from which supergroup was upgraded; 0 if none.
  `upgradedFromMaxMessageId` - Identifier of the last message in the basic group from which supergroup was upgraded; 0 if none.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR